            #GIT_CMT=c0a6d48fc2d03d83344dea95591583f361d4f2a3
%global PREFIX /usr/
%global BINDIR %{PREFIX}/bin
%global DOMAIN github.com
%global ORG kata-containers
%global PROJECT runtime
%global IMPORTNAME %{DOMAIN}/%{ORG}/%{PROJECT}

%global DEFAULT_QEMU qemu-system-x86_64

%if 0%{?suse_version}
%define LIBEXECDIR %{_libdir}
%else
%define LIBEXECDIR %{_libexecdir}
%endif

%undefine _missing_build_ids_terminate_build
%define  debug_package %{nil}

Name:      kata-runtime
# Version is expected to be started with a digit following by an alphanumeric string
# e.g. 1.0.0+git.1234567
Version:   1.2.0
Release:    1.el7
Source0: kata-runtime-1.2.0.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Summary  : Kata containers OCI compatible runtime
Group    : Development/Tools
License  : Apache-2.0

BuildRequires: git
BuildRequires: golang >= 1.9.2
%if 0%{?suse_version} && 0%{?is_opensuse}
BuildRequires: openSUSE-release
%endif

#Requires: kata-containers-image >= _kata_osbuilder_version
#Requires: kata-linux-container >= _linux_container_version
Requires: kata-proxy >= 1.2.0
Requires: kata-shim >= 1.2.0
Requires: kata-ksm-throttler >= 1.2.0

Requires: qemu >= 2:2.9.0-9

Requires: kernel-uek-container >= 4.14.14-4
Requires: kata-image >= 1.2.0

# Patches

%description
Kata Containers runtime component leverages the virtcontainers package to provide a high-performance standards-compliant runtime that creates hardware-virtualized containers. The runtime is OCI-compatible, CRI-O-compatible, and Containerd-compatible, allowing it to work seamlessly with both Docker and Kubernetes respectively.

%prep
pwd
# Patches

%setup 
%autosetup -S git
pwd

%build
pwd
export GOPATH=$HOME/rpmbuild/BUILD/go/

mkdir -p $HOME/rpmbuild/BUILD/go/src/%{DOMAIN}/%{ORG}
ln -s %{_builddir}/kata-runtime-%{version} $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make QEMUPATH=/usr/bin/%{DEFAULT_QEMU}

%check
export http_proxy=http://127.0.0.1:9/
export https_proxy=http://127.0.0.1:9/
export no_proxy=localhost

%install
export GOPATH=$HOME/rpmbuild/BUILD/go/

cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make \
    PREFIX=/usr/ \
    DESTDIR=%{buildroot} \
    QEMUPATH=/usr/bin/%{DEFAULT_QEMU} \
    install
sed -i -e '/^initrd =/d' %{buildroot}/usr/share/defaults/kata-containers/configuration.toml

%files
%defattr(-,root,root,-)
/usr/bin/kata-runtime
/usr/bin/kata-collect-data.sh
/usr/share/defaults/
/usr/share/defaults/kata-containers/
/usr/share/defaults/kata-containers/configuration.toml
/usr/share/bash-completion/completions/kata-runtime
%changelog
* Tue Aug 21 2018 Honza <jan.koutny@oracle.com> - 1.2.0-1.el7
- Static .spec file for 1.2.0

